GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/amd64-nbsd-nat.c File Reference
`#include "defs.h"`
`#include "target.h"`
`#include "nbsd-nat.h"`
`#include "amd64-tdep.h"`
`#include "amd64-nat.h"`

Go to the source code of this file.

## Functions
void | _initialize_amd64nbsd_nat (void)

## Variables
static int | amd64nbsd32_r_reg_offset []

## Function Documentation

## ◆ _initialize_amd64nbsd_nat()

void _initialize_amd64nbsd_nat | ( | void |  | ) |

Definition at line 57 of file amd64-nbsd-nat.c.

References add_target(), amd64_native_gregset32_num_regs, amd64_native_gregset32_reg_offset, amd64_native_gregset64_reg_offset, amd64bsd_target(), amd64nbsd32_r_reg_offset, amd64nbsd_r_reg_offset, nbsd_pid_to_exec_file(), and target_ops::to_pid_to_exec_file.

## Variable Documentation

## ◆ amd64nbsd32_r_reg_offset

int amd64nbsd32_r_reg_offset[]
| static

Initial value:
=
{
14 * 8,
3 * 8,
2 * 8,
13 * 8,
24 * 8,
12 * 8,
1 * 8,
0 * 8,
21 * 8,
23 * 8,
22 * 8,
25 * 8,
18 * 8,
17 * 8,
16 * 8,
15 * 8
}

Definition at line 36 of file amd64-nbsd-nat.c.

Referenced by _initialize_amd64nbsd_nat().